Package org.apache.tapestry5.internal.services

## Class AjaxPageNameComponentEventResultProcessor

- java.lang.Object
- - org.apache.tapestry5.internal.services.AjaxPageNameComponentEventResultProcessor

- All Implemented Interfaces:
    `ComponentEventResultProcessor<String>`

      public class AjaxPageNameComponentEventResultProcessor
      extends Object
      implements ComponentEventResultProcessor<String>

  A `ComponentEventResultProcessor`, used for Ajax requests, for a String value that is interpreted as a logical page name.
  See Also:
    `PageNameComponentEventResultProcessor`

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `AjaxPageNameComponentEventResultProcessor​(ComponentEventResultProcessor masterProcessor, LinkSource linkSource)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `processResultValue​(String value)` | Obtains a page render `Link` for the named, then builds a JSON response for the client.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AjaxPageNameComponentEventResultProcessor

          public AjaxPageNameComponentEventResultProcessor​(@Ajax
                                                           ComponentEventResultProcessor masterProcessor,
                                                           LinkSource linkSource)

  - ### Method Detail

    - #### processResultValue

          public void processResultValue​(String value)
                                  throws IOException

      Obtains a page render `Link` for the named, then builds a JSON response for the client.
      Specified by:
        `processResultValue` in interface `ComponentEventResultProcessor<String>`
      Parameters:
        `value` - page name
      Throws:
        `IOException`